Oracle linux как поставить lamp?

Cent OS, Scientific Linux

Модераторы: broom, Модераторы разделов

azsx
Сообщения: 2696
ОС: calculate linux, debian, ubuntu

Oracle linux как поставить lamp?

Сообщение azsx » 25.07.2018 05:05

Я хочу поставить lamp по инструкции https://www.ehowstuff.com/how-to-instal ... -centos-7/
Смотрю, мариядб есть.

Shell

yum info mariadb
Загружены модули: langpacks, ulninfo
Repository google-chrome is listed more than once in the configuration
google-chrome 3/3
ol7_latest 8190/8190
Доступные пакеты
Название: mariadb
Архитектура: x86_64
Период: 1
Версия: 5.5.56
Выпуск: 2.el7
Объем: 8.7 M
Источник: ol7_latest/x86_64
Аннотация: A community developed branch of MySQL
Ссылка: http://mariadb.org
Лицензия: GPLv2 with exceptions and LGPLv2 and BSD
Описание: MariaDB is a community developed branch of MySQL.
: MariaDB is a multi-user, multi-threaded SQL database server.
: It is a client/server implementation consisting of a server daemon
: (mysqld) and many different client programs and libraries. The base
: package contains the standard MariaDB/MySQL client programs and
: generic MySQL files.
Хочу поставить, он мне пишет про библиотеку mariadb-libs. А что он пишет -- не понятно. То ли я вручную должен эту библиотеку поставить? То ли я должен осознать, что ничо у меня не выйдет, так как библиотеки не совместимы. То ли что то ещё?

Shell

sudo yum install mariadb
Загружены модули: langpacks, ulninfo
Repository google-chrome is listed more than once in the configuration
Разрешение зависимостей
--> Проверка сценария
---> Пакет mariadb.x86_64 1:5.5.56-2.el7 помечен для установки
--> Обработка зависимостей: mariadb-libs(x86-64) = 1:5.5.56-2.el7 пакета: 1:mariadb-5.5.56-2.el7.x86_64
--> Проверка сценария
---> Пакет mariadb-libs.x86_64 1:5.5.56-2.el7 помечен для установки
Removing mariadb-libs.x86_64 1:5.5.56-2.el7 - u due to obsoletes from installed mysql-community-libs-5.7.19-1.el7.x86_64
--> Перепроверка зависимостей с новыми параметрами.
--> Проверка сценария
---> Пакет mariadb-libs.x86_64 1:5.5.56-2.el7 помечен для установки
--> Обработка зависимостей: mariadb-libs(x86-64) = 1:5.5.56-2.el7 пакета: 1:mariadb-5.5.56-2.el7.x86_64
--> Проверка зависимостей окончена
Ошибка: Пакет: 1:mariadb-5.5.56-2.el7.x86_64 (ol7_latest)
Необходимо: mariadb-libs(x86-64) = 1:5.5.56-2.el7
Вы можете попробовать --skip-broken чтобы обойти проблему
Вы можете попробовать запустить: rpm -Va --nofiles --nodigest
Вопрос.
Скажите пожалуйста, как поставить lamp в целом или БД в частности.
Спасибо сказали:

Аватара пользователя
Vascom
Сообщения: 1428
ОС: Fedora 30

Re: Oracle linux как поставить lamp?

Сообщение Vascom » 25.07.2018 06:20

Что-то у тебя с репозиториями. Покажи вывод yum repolist и yum list "mariadb*".

И вообще, использовал бы ты CentOS, а не Oracle.
Спасибо сказали:

azsx
Сообщения: 2696
ОС: calculate linux, debian, ubuntu

Re: Oracle linux как поставить lamp?

Сообщение azsx » 25.07.2018 06:44

Покажи вывод yum repolist и yum list "mariadb*".
Вывод вот, но проблема оказалось в другом

Shell

yum repolist
Загружены модули: langpacks, ulninfo
Repository google-chrome is listed more than once in the configuration
Идентификатор репозитория репозиторий состояние
adobe-linux-x86_64 Adobe Systems Incorporated 3
*epel/x86_64 Extra Packages for Enterprise Linux 7 - x86_ 12 620
google-chrome google-chrome 3
ol7_UEKR4/x86_64 Latest Unbreakable Enterprise Kernel Release 732
ol7_latest/x86_64 Oracle Linux 7Server Latest (x86_64) 8 190
repolist: 21 548


yum list "mariadb*"
Загружены модули: langpacks, ulninfo
Repository google-chrome is listed more than once in the configuration
Доступные пакеты
mariadb.x86_64 1:5.5.56-2.el7 ol7_latest
mariadb-bench.x86_64 1:5.5.56-2.el7 ol7_latest
mariadb-devel.i686 1:5.5.56-2.el7 ol7_latest
mariadb-devel.x86_64 1:5.5.56-2.el7 ol7_latest
mariadb-libs.i686 1:5.5.56-2.el7 ol7_latest
mariadb-libs.x86_64 1:5.5.56-2.el7 ol7_latest
mariadb-server.x86_64 1:5.5.56-2.el7 ol7_latest
mariadb-test.x86_64 1:5.5.56-2.el7 ol7_latest
Проблема в том, что у меня уже установлен mysql

Shell

yum list "mysql*"
Загружены модули: langpacks, ulninfo
Repository google-chrome is listed more than once in the configuration
Установленные пакеты
mysql-community-common.x86_64 5.7.19-1.el7 @Server-Mysql/7.4
mysql-community-libs.x86_64 5.7.19-1.el7 @Server-Mysql/7.4
mysql-community-libs-compat.x86_64 5.7.19-1.el7 @Server-Mysql/7.4
Доступные пакеты
MySQL-python.x86_64 1.2.5-1.el7 ol7_latest
MySQL-zrm.noarch 3.0-17.el7 epel
mysql++.x86_64 3.1.0-12.el7 epel
mysql++-devel.x86_64 3.1.0-12.el7 epel
mysql++-manuals.x86_64 3.1.0-12.el7 epel
mysql-connector-java.noarch 1:5.1.25-3.el7 ol7_latest
mysql-connector-odbc.x86_64 5.2.5-7.el7 ol7_latest
mysql-connector-python.noarch 1.1.6-1.el7 epel
mysql-mmm.noarch 2.2.1-15.el7 epel
mysql-mmm-agent.noarch 2.2.1-15.el7 epel
mysql-mmm-monitor.noarch 2.2.1-15.el7 epel
mysql-mmm-tools.noarch 2.2.1-15.el7 epel
mysql-proxy.x86_64 0.8.5-2.el7 epel
mysql-proxy-devel.x86_64 0.8.5-2.el7 epel
mysql-utilities.noarch 1.3.6-1.el7 epel
mysqlreport.noarch 3.5-11.el7 epel
mysqltuner.noarch 1.6.0-1.el7 epel
Видимо поставился автоматом при установке ОС. Вот теперь вопрос, а какой в нём пароль root? Вообще оставить mysql или удалить его? Как мне лучше не знаю, мне надо просто php чтобы в апаче запускалось с БД mysql подобной для простых самописных сриптов.
И вообще, использовал бы ты CentOS, а не Oracle.
Он не сертифицирован под БД oracle и выбор дистрибутива зависит не от меня :(
зы
я бы удалил и пароль попытался бы сменить, но волноваюсь. Вдруг у ОС что то завязано на mysql?
Спасибо сказали:

Аватара пользователя
s.xbatob
Сообщения: 721
ОС: RfRemix

Re: Oracle linux как поставить lamp?

Сообщение s.xbatob » 27.07.2018 14:00

ох, уж этот Oracle! @Server-Mysql/7.4 -- это откуда? То есть вижу, поставлено не из репозитория.
Можно попробовать поставить "оттуда же" mysql-server-7.4, но боюсь, что за этим потянется ещё чего-нибудь.
Или снести это всё и поставить mariadb из репозиториев
Спасибо сказали: